@REM ************ Begin Standard Header - Do not add comments here ***********
@REM 
@REM File:     uninstall.bat, si_wrappers, si_121_13
@REM Version:  1.0
@REM Created:  Feb/14/2006
@REM Build:    1 0
@REM 
@REM "This sample program is provided AS IS and may be used, executed,
@REM  copied and modified without royalty payment by customer (a) for its 
@REM  own instruction and study, (b) in order to develop applications 
@REM  designed to run with Solution Installation for Autonomic Computing,
@REM  either for customer's own internal use or for redistribution by
@REM  customer, as part of such an application, in customer's own products."
@REM 
@REM ACOM-SIT
@REM 
@REM (C) COPYRIGHT IBM CORP. 2006.
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM 
@REM ************************* End Standard Header ***************************

@ECHO OFF

IF EXIST "%ProgramFiles%\IBM\Common\acsi\setenv.cmd" (
	@CALL "%ProgramFiles%\IBM\Common\acsi\setenv.cmd"
) ELSE (
        echo Error: Cannot find the SI environment setting file.
	EXIT /B 1
)
@ECHO OFF

@REM IZ07743 - manually move to the directory containing this script so 
@REM           execution from another directory won't break things.
set DRIVE=%~d0
%DRIVE%
cd %~p0

@REM IZ05183 - require an argument = the discriminant for the fixpack
@REM 81745   - make the discriminant the 8.3-form of the full path of the
@REM           TFIM 6.1.1 installation directory, regardless of what form
@REM           was specified as our (first) argument.  If no argument
@REM           then use "/opt/IBM/FIM" as the discriminant, the value
@REM           TFIMUI 1.3 registered TFIM 6.1.1 under.
SET DISCRIMINANT=/opt/IBM/FIM
IF %1x==x goto NOARG

@REM 81745 - Normalize the first argument so that the case and form in
@REM         which it was entered will not matter regardless of locale.

@REM ARG1 = the full-path 8.3 form of the input arg
SET ARG1=%~fs1

@REM Now we need to force the case of the drive letter
@REM DRIVE = the drive letter plus colon
SET DRIVE=%ARG1:~0,2%

@REM PATHPART = the rest of the arg
SET PATHPART=%ARG1:~2,2000%

@REM If there is one, make the drive letter lowercase
IF %DRIVE%x==x GOTO NO_DRIVE
SET DRIVE=%DRIVE:A=a%
SET DRIVE=%DRIVE:B=b%
SET DRIVE=%DRIVE:C=c%
SET DRIVE=%DRIVE:D=d%
SET DRIVE=%DRIVE:E=e%
SET DRIVE=%DRIVE:F=f%
SET DRIVE=%DRIVE:G=g%
SET DRIVE=%DRIVE:H=h%
SET DRIVE=%DRIVE:I=i%
SET DRIVE=%DRIVE:J=j%
SET DRIVE=%DRIVE:K=k%
SET DRIVE=%DRIVE:L=l%
SET DRIVE=%DRIVE:M=m%
SET DRIVE=%DRIVE:N=n%
SET DRIVE=%DRIVE:O=o%
SET DRIVE=%DRIVE:P=p%
SET DRIVE=%DRIVE:Q=q%
SET DRIVE=%DRIVE:R=r%
SET DRIVE=%DRIVE:S=s%
SET DRIVE=%DRIVE:T=t%
SET DRIVE=%DRIVE:U=u%
SET DRIVE=%DRIVE:V=y%
SET DRIVE=%DRIVE:W=w%
SET DRIVE=%DRIVE:X=x%
SET DRIVE=%DRIVE:Y=y%
SET DRIVE=%DRIVE:Z=z%

@REM Reconstruct the normalized arg1 with a lowercase drive letter
SET ARG1=%DRIVE%%PATHPART%

:NO_DRIVE
@ECHO OFF

SET DISCRIMINANT=%ARG1%

@echo #########################################################################
@echo # Starting Uninstallation of: Tivoli Federated Identity Manager Fixpack #
@echo #########################################################################

IF EXIST "../META-INF\packagedIU.xml" (
	@CALL manageIU.bat -o undo -r %DISCRIMINANT% -p ..\META-INF\packagedIU.xml -i variables
	GOTO DONE
) ELSE (
	@CALL manageIU.bat -o delete -r %DISCRIMINANT% -d RootIUTypeID[cc05dc31804627bba6e6661c48bf1a81,6.1.1.9]
)

:DONE
